Sn0wbreeze Updated to 2.8b7 with iOS 5b7 Support

iH8sn0w has updated the sn0wbreeze jailbreak tool with support for the latest iOS 5 beta. The jailbreak is tethered, so if you’d like to retain your freedom, stick to 4.3.3—at least until someone other than comex releases an exploit.

Sn0wbreeze allows you to preserve the baseband, so it has its advantages over redsn0w if you rely on a carrier unlock. The release is intended for developers (as is iOS 5), so don’t update unless you need to prepare your app/tweak for the public release of iOS 5.

sn0wbreeze v2.8b7 - Release Notes
---------------------------------
* Now jailbreaks iOS 5 beta 7.
* Still removes UDID Developer check + Beta timer.
* Still has the ability to hacktivate.
* Still preserves the baseband (as always!).
---------------------------------
           Tethered?
---------------------------------
* iPhone 3GS (old bootrom).....NO
* iPhone 3GS (new bootrom)....YES
* iPhone 4 (GSM)..............YES
* iPhone 4 (CDMA).............YES
* iPod Touch 3G...............YES
* iPod Touch 4................YES
* iPad 1G.....................YES
---------------------------------
** REMEMBER TO BOOT WITH "iBooty" **
---------------------------------
Download available at: http://iH8sn0w.com
---------------------------------
// iH8sn0w
//
// Thanks to @ClaytonBraasch & @iSurenix for testing
//

[iH8sn0w]

Post a response / What do you think?